curl --request PATCH \
--url https://api.tread-horizon.com/v1/accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"department": "<string>",
"department_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"billing_contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"address": {
"thoroughfare": "123 Fake St.",
"premise": "3rd Floor",
"locality": "New York",
"administrative_area": "NY",
"postal_code": "10011",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>",
"_destroy": 123
},
"billing_address": {
"thoroughfare": "123 Fake St.",
"premise": "3rd Floor",
"locality": "New York",
"administrative_area": "NY",
"postal_code": "10011",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>",
"_destroy": 123
},
"notes": "<string>",
"account_types": [
"customer"
],
"external_id": "<string>",
"accounting_id": "<string>",
"truck_count": 0,
"auto_accept_orders": false,
"connected_account": {
"truck_count": 0
},
"label_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"auto_add_on_account_type": "customer",
"additional_auto_add_on_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discarded_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"account_types": [
"customer"
],
"external_id": "<string>",
"accounting_id": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule_on": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"truck_count": 123,
"auto_accept_orders": false,
"managed": true,
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"billing_address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"connected_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"billing_contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"primary_contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"connected_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discarded_at": "2023-11-07T05:31:56Z",
"account_types": [
"customer"
],
"truck_count": 123,
"auto_accept_orders": true
},
"department": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}Update an Account by ID.
This endpoint requires the edit_account permission
curl --request PATCH \
--url https://api.tread-horizon.com/v1/accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"department": "<string>",
"department_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"billing_contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"address": {
"thoroughfare": "123 Fake St.",
"premise": "3rd Floor",
"locality": "New York",
"administrative_area": "NY",
"postal_code": "10011",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>",
"_destroy": 123
},
"billing_address": {
"thoroughfare": "123 Fake St.",
"premise": "3rd Floor",
"locality": "New York",
"administrative_area": "NY",
"postal_code": "10011",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>",
"_destroy": 123
},
"notes": "<string>",
"account_types": [
"customer"
],
"external_id": "<string>",
"accounting_id": "<string>",
"truck_count": 0,
"auto_accept_orders": false,
"connected_account": {
"truck_count": 0
},
"label_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"auto_add_on_account_type": "customer",
"additional_auto_add_on_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discarded_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"account_types": [
"customer"
],
"external_id": "<string>",
"accounting_id": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule_on": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"truck_count": 123,
"auto_accept_orders": false,
"managed": true,
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"billing_address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"connected_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"billing_contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"primary_contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"connected_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discarded_at": "2023-11-07T05:31:56Z",
"account_types": [
"customer"
],
"truck_count": 123,
"auto_accept_orders": true
},
"department": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Account ID
Update model for Account
Account name
Department
The ID of the associated Department.
This should be used instead of department.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Notes
Account type allowing for multiple values
customer, vendor Identifier used to associate an account to any external system
The accounting ID of the Account mapping to any accounting system
The allowable number of trucks that is dispatchable to the customer of this account.
Indicates whether orders and their jobs will be accepted automatcially into the vendor account.
Update model for Account
Show child attributes
Array of Label IDs to assign to this Account
customer, vendor "customer"
OK
Show child attributes